<template>
<div>
    <h1 class="mb-3">Are you taking any medications that you haven’t already mentioned?</h1>
    <p class="mb-8">Including over-the-counter, herbal, or prescription medications{{ displayIncluding ? ' (including birth control)' : null }}?</p>
    <div class="space-y-3 mb-8">
      <radio-input
        v-for="choice in choices"
        :key="choice.text"
        :input-value="choice.text"
        v-model="radioSelected.value"
        :has-free-answer="choice.hasFreeAnswer"
        @textInput="val => radioSelected.freeAnswer = val"
        :text-value="radioSelected.freeAnswer"
      >
        {{ choice.text }}
      </radio-input>
    </div>
    <common-btn
      :disabled="!radioSelected.value"
      text="Save and continue"
      @click="nextStage"
    />
  </div>
</template>

<script>
import {answersMixin, radioMixin} from "@/utils/mixins";

export default {
  mixins: [answersMixin, radioMixin],
  name: "SkinAnalysis10",
  watch: {
    'radioSelected.value'() {
      this.radioSelected.freeAnswer = null
    }
  },
  data() {
    return {
      radioSelected: {
        value: null,
        freeAnswer: null
      },
      choices: [
        {
          text: 'No',
        },
        {
          text: 'Yes',
          hasFreeAnswer: true
        },
      ],
      radioHandler: newVal => this.setAnswer(this.answersKeys.SKIN_ANALYSIS, newVal, 'stage_10')
    }
  },
  computed: {
    displayIncluding() {
      return this.answer(this.answersKeys.ACCOUNT_CREATION)?.stage_4 === 'Female'
    }
  }
}
</script>

<style scoped>

</style>
